/* Open FranceConnect in popup */


(function(undef) {
  function PopupCenter(url, title, w, h) {
        // Fixes dual-screen position                         Most browsers      Firefox
        var dualScreenLeft = window.screenLeft != undefined ? window.screenLeft : window.screenX;
        var dualScreenTop = window.screenTop != undefined ? window.screenTop : window.screenY;

        var width = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
        var height = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;

        var left = ((width / 2) - (w / 2)) + dualScreenLeft;
        var top = ((height / 2) - (h / 2)) + dualScreenTop;
        var newWindow = window.open(url, title, 'noopener,noreferrer,location=0,status=0,menubar=0,toolbar=0,scrollbars=yes, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);
        newWindow.opener = null;

        // Puts focus on the newWindow
        if (window.focus) {
            newWindow.focus();
        }
  }
  var tags = document.getElementsByClassName('js-fc-popup');
  for (var i = 0; i < tags.length; i++) {
    var tag = tags[i];
    tag.onclick = function (ev) {
      PopupCenter(this.href, 'Authentification FranceConnect', 700, 500);
      return false;
    };
  }
})();
